:- consult('plnxt.pl').
 
start :-
	nxt_open,
	nxt_goal(agatka, go_on_buddy).
 
go_on_buddy :-
	nxt_go(200),
	trigger_create(_,obstacle,omin_to_agatka),
        sleep(1), % Chwila przerwy, żeby jedno klaśnięcie nie zostało rozpoznane jako dwa.
	trigger_create(_,clap,stop).
 
omin_to_agatka :-
	nxt_stop,	
	nxt_rotate(200, 90),
	nxt_go_sec(200, 5),
	nxt_stop,
	nxt_rotate(200, -90),
        sleep(1),
	go_on_buddy.
 
% Sprawdzenie, czy natężenie dźwięku przekracza progową wartość.
clap :-
	nxt_sound(Value,force),
	Value > 80.

click :-
	nxt_touch(Value, force),
	Value > 0.

obstacle :-
	nxt_ultrasonic(Value, force),
	Value < 10.	
 
stop :-
	trigger_killall,
	nxt_stop,
	nxt_close.
